Subject: [Geopriv] AW: Review of draft-ietf-geopriv-radius-lo-04.txt

From: "Tschofenig, Hannes" <[email-masked]>
Date: Sat, 3 Sep 2005 21:38:46 +0200

hi pasi, 

> 
> Bernard Aboba wrote:
> 
> > > It looks like NAS could use this field to describe which location
> > > it's sending, or send two Location-Information attributes if it 
> > > knows both.
> > 
> > But the NAS isn't sending location by default.  So how does 
> > the RADIUS server that requires a given kind of location indicate 
> > what it needs? Keep in mind that if the RADIUS server REQUIRES 
> > location then it may need to send an Access-Reject. 
> 
> A simple solution would be that a NAS that knows both the NAS and 
> user location always sends both (when sending location information).
that's also possible and the document allows to include both information
elements. 
in a small network (such as a wlan hotspot) it might not really matter
whether you provide the location of the end host or the nas since it
might be almost the same (depending on the granularity of the location
information). a lot depends on the deployment scenario. 

> 
> (I don't think we need more fine-grained capability negotiation 
> for this.)
i am not sure either. 

ciao
hannes

> 
> Best regards,
> Pasi
> 
> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://psg.com/lists/radiusext/>
> 

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv

---

From: Bernard Aboba <[email-masked]>
Date: Sat, 3 Sep 2005 22:25:47 -0700 (PDT)

> information). a lot depends on the deployment scenario. 

Sure.  There are some RADIUS servers that might not care.  They can 
indicate that in their Access-Challenge.  But there are other situations 
where it *definitely* matters.  For example, there are military 
installations that most definitely care if the user is on the military 
base near the AP, or outside the base attempting to break in using a high 
gain antenna.